Original Metroid Prime Trilogy won't work!

Discussion in 'Wii - Hacking' started by benbjo, Sep 4, 2009.

Sep 4, 2009
  1. benbjo
    OP

    Newcomer benbjo Member

    Joined:
    Jun 18, 2007
    Messages:
    27
    Country:
    Norway
    I bought the a real copy of the Metroid Prime Trilogy. I don't want to use the update that is on the disc in fear of bricking/making my wii unable to play backups. So I started the game with backup loader. It loads fine, but when I select the game to play (MP1), the wii resets.

    Anyone know why or how to fix this? Thanks!
     
  2. Covarr

    Member Covarr Sentient Cash Register

    Joined:
    Oct 21, 2005
    Messages:
    872
    Location:
    Far East of Eden
    Country:
    United States
    Because you didn't read any of the dozens of posts about this very problem scattered all over the boards.

    My suggestion is to install Preloader or Startpatch and set it to block updates, then play the game from disc. I'm not going to tell you how to get the game working with a backup loader, because you could find it yourself by searching.
     
  3. NReale3370

    Member NReale3370 GBAtemp Regular

    Joined:
    Aug 13, 2009
    Messages:
    187
    Country:
    United States
    Try running it with the latest GeckoOS. You may need to update one of your IOS's to run it.
     
  4. benbjo
    OP

    Newcomer benbjo Member

    Joined:
    Jun 18, 2007
    Messages:
    27
    Country:
    Norway
    Thanks for the replies. I guess I'll search some [​IMG]
     
  5. nIxx

    Member nIxx GBAtemp Maniac

    Joined:
    Sep 30, 2007
    Messages:
    1,459
    Location:
    Germany
    Country:
    Germany
    Just update [​IMG] it´s simple (or just install the needed IOS)
     
  6. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    Also, you'll need to patch the ISO to run off of IOS249.
     
  7. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    pretty difficult for an original
     
  8. benbjo
    OP

    Newcomer benbjo Member

    Joined:
    Jun 18, 2007
    Messages:
    27
    Country:
    Norway
    What happens if I update? Dont want to be unable to play backups or start HBC...

    Anyway installed preloader 0.29 with the "Skip system update". If I try to run the game from disc channel the screen goes black and I have to unplug the wii. Which obviously sucks.

    Any suggestions?
     
  9. Covarr

    Member Covarr Sentient Cash Register

    Joined:
    Oct 21, 2005
    Messages:
    872
    Location:
    Far East of Eden
    Country:
    United States
    Which version of the system menu do you have, and do you have the correct preloader hacks file for it? 4.1 isn't compatible with 4.0 hacks, etc.

    As for what happens when you update, that largely depends on what system you already have, what you're updating to (4.1 if you're using MPT), and if you've ever downgraded before. If you have 4.0 and update to 4.1 for example, you'll need to reinstall preloader but that's about it. If you used to have 4.x, downgraded to 3.2 (which you shouldn't do, but some people do anyway) and then try to update to 3.4, you'll brick your Wii. If you have 3.2 from the factory and have never downgraded, upgrading to 3.4 will break twilight hack, but leave most everything else the same.

    So, what version do you currently have? I can give suggestions based on that.
     
  10. Bladexdsl

    Member Bladexdsl ZOMG my posts...it's over 9000!!!

    Joined:
    Nov 17, 2008
    Messages:
    14,355
    Location:
    Queensland
    Country:
    Australia
    it only has update 3.2 in it so let it update i updated ntsc on pal and all i got was duplicate news/weather chans which can easily be deleted. if your say playing ntsc version on pal you need to use gecko os 1.9 to start it.
     
  11. benbjo
    OP

    Newcomer benbjo Member

    Joined:
    Jun 18, 2007
    Messages:
    27
    Country:
    Norway
    I am on version 3.2E (bought on Wii release day, so have updated several times). I have never downgraded before, but installed som Cios. Can't remember the number currently.

    I also think I fucked up preloader. Set it to boot the System Menu and now I cant get back to preloader >_>
     
  12. wyndcrosser

    Member wyndcrosser GBAtemp Advanced Fan

    Joined:
    May 28, 2009
    Messages:
    720
    Country:
    United States
    Update to 4.1U or E if u havent already and run with newest Geck OS. I have it and it runs just fine under NeoGamma.

    Wynd
     
  13. Covarr

    Member Covarr Sentient Cash Register

    Joined:
    Oct 21, 2005
    Messages:
    872
    Location:
    Far East of Eden
    Country:
    United States
    My advice, benbjo:
    1. Install bootmii if you don't have it already, and do a nand backup.
    2. Upgrade to 4.0E using waninkoko's 4.0 updater.
    3. Upgrade to 4.1E using waninkoko's 4.1 updater (you can't go straight to 4.1 with his software).
    4. Install CIOSrev13b (the latest version is rev14, but it breaks dual-layer support)
    5. Reinstall preloader 0.29, and make sure to set up the 4.1E hacks.ini (updating to 4.1 will uninstall it).
    6. Tell preloader to block disc updates.

    You should now be all set to play MP:T from disc, as well as the benefits of 4.1 and backups should still work. I would not advise playing MP:T from USB at this point however, as it requires quite a few extra steps to get working (involving alt dols) and you'll be limited to a single save game and Veteran difficulty only, and MP2 multiplayer doesn't work.

    edit: You need to hold reset when you start your system to get back to preloader if you set it to boot to the System Menu.
     
  14. Bladexdsl

    Member Bladexdsl ZOMG my posts...it's over 9000!!!

    Joined:
    Nov 17, 2008
    Messages:
    14,355
    Location:
    Queensland
    Country:
    Australia
    i think that rev14 breaking dl is a myth cos i have rev14 and i can access mp3 on my DL burnt disc. and yeah stay away from usb with this 1 disc is much better you get 480p, set the difficulty and can unlock fusion suit in mp1! also if you play it thruh usb you can never access your wiis save game menu again unless you wanna kiss your metroid save goodbye!
     
  15. Bronzodiriace

    Newcomer Bronzodiriace Advanced Member

    Joined:
    Mar 31, 2009
    Messages:
    68
    Country:
    Italy
    mmm

    I have 4.1 wanin
    cios rev 14


    tomorrow I'll buy metroid trilogy and will the game ask to me to update?
     
  16. nIxx

    Member nIxx GBAtemp Maniac

    Joined:
    Sep 30, 2007
    Messages:
    1,459
    Location:
    Germany
    Country:
    Germany
    yes it will because you used the wanin updater ( i don´t understand why evrybody is using it especially when you can still truch sign everything after updating well as long as you have cios installed)
     

Share This Page